Subject: bug#4710: 23.1.50; Bad display of underlines crossing line boundaries

From: Stefan Monnier <[email-masked]>
Date: Mon, 19 Sep 2011 21:38:03 -0400

>> > But it does look really ugly.  :-)  This single behavioural 
>> > tic is what makes underlines undesirable.  If somebody had
>> > a good idea how to fix this in general, that would be a win.
>> Maybe someone could come up with a neater way to display "face
>> continuations" (face that applies to the text where a line is
>> wrapped).  For underline, we could put a short bit of dotted underline
>> as in:
>>     foo bar baz
>>         -------⋯
>>     toto titi tur
>>    ⋯----
> Why assume that underlined whitespace should not show an underline?
> Likewise for other face attributes.

I believe you're confused: I'm talking about line-wrapping done by the
redisplay engine.  I.e. there's no newline in the above example (but
there are curly arrows in the fringe instead).

        Stefan